Bug 476558 - No good mechanism to catch and handle exceptions when using SubscriptionManager::start()
No good mechanism to catch and handle exceptions when using SubscriptionManag...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.0
All Linux
medium Severity medium
: 1.3
: ---
Assigned To: Gordon Sim
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-15 11:34 EST by Gordon Sim
Modified: 2015-11-15 19:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-15 04:37:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Suggested patch including test case (10.85 KB, patch)
2009-02-26 15:02 EST, Gordon Sim
no flags Details | Diff

  None (edit)
Description Gordon Sim 2008-12-15 11:34:25 EST
Need to add the ability to have an error handler that gets passed the exception caught.
Comment 1 Gordon Sim 2009-02-26 15:02:05 EST
Created attachment 333379 [details]
Suggested patch including test case
Comment 3 Gordon Sim 2009-12-15 04:37:22 EST
Recommendation is not to use SubscriptionManager::start()

Note You need to log in before you can comment on or make changes to this bug.